PUT /accounting/transactions/entries/\{id\}
PUT/accounting/transactions/entries/:id
PUT /accounting/transactions/entries/{id}
Request
Path Parameters
id int64required
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
Body
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
Body
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
Body
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
- Schema
- Example (from schema)
Schema
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
- Schema
- Example (from schema)
Schema
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
Loading...